> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List competitor domain ratings

> Returns the domain rating of each tracked competitor. A rating can still be pending.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/competitors/domain-ratings
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/competitors/domain-ratings:
    get:
      tags:
        - Competitors
      summary: List competitor domain ratings
      description: >-
        Returns the domain rating of each tracked competitor. A rating can still
        be pending.
      operationId: competitor_domain_ratings
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainRatingsResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    DomainRatingsResponse:
      type: object
      properties:
        configured:
          type: boolean
        pending:
          type: boolean
        ratings:
          type: array
          items:
            $ref: '#/components/schemas/DomainRatingDTO'
      required:
        - configured
        - pending
        - ratings
    DomainRatingDTO:
      type: object
      properties:
        domain:
          type: string
        rating:
          type: integer
        fetched_at:
          type: string
          format: date-time
      required:
        - domain
        - fetched_at
        - rating
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.